> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update a transfer category



## OpenAPI

````yaml /api-reference/platform-api.json post /v2/transfers/enrichment/categories
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
paths:
  /v2/transfers/enrichment/categories:
    post:
      tags:
        - Transfer Enrichments
      summary: Create or update a transfer category
      operationId: upsertCategory
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpsertTxCategoryDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TxCategoryDto'
components:
  schemas:
    UpsertTxCategoryDto:
      type: object
      properties:
        transferId:
          type: string
        category:
          type: string
          enum:
            - Transfer
            - Revenue
            - Payroll
            - Contract Services
            - Software & Subscriptions
            - Legal & Professional Services
            - Taxes
            - Bank Fees
            - Payment Processing Fees
            - Interest Earned
            - Marketing & Advertising
            - Travel & Transportation
            - Rent & Utilities
            - Insurance
            - Gas Fees
            - Staking Rewards
            - Bridge Transfer
            - DeFi Yield
      required:
        - transferId
        - category
    TxCategoryDto:
      type: object
      properties:
        workspaceId:
          type: string
        transferId:
          type: string
        category:
          type: string
        createdAt:
          type: string
      required:
        - workspaceId
        - transferId
        - category
        - createdAt
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````